; Detección de colisiones
org     $8000

; -----------------------------------------------------------------------------
; Entrada al programa
; -----------------------------------------------------------------------------
Main:
ld      a, ZERO                 ; A = 0
out     ($fe), a                ; Pone el borde en negro

call    Cls                     ; Limpia la pantalla
call    PrintLine               ; Imprime la línea central
call    PrintBorder             ; Imprime el borde del campo
call    PrintPoints		; Imprime el marcador
call    WaitStart		; Espera a que se pulse el 5 para empezar
ld      a, ZERO			; A = 0
ld      (p1points), a		; Pone el marcador del jugador 1 a 0
ld      (p2points), a		; Pone el marcador del jugador 2 a 0
call	PrintPoints		; Imprime el marcador

Loop:
ld      a, (ballSetting)	; Carga la configuración de la bola en A
rrca
rrca
rrca
rrca				; Rota para poner los bits 4 y 5 a los bits 1 y 0
and     $03			; Se queda con la velocidad de bola
ld      b, a			; Carga a velocidad de la bola en B
ld      a, (countLoopBall)      ; Carga el contador de vueltas de la bola	
inc     a                       ; Lo incrementa
ld      (countLoopBall), a      ; Lo carga en memoria
cp      b                    	; Comprueba si hay que mover la bola
jr      nz, loop_paddle         ; Si no ha llegado a 6 salta
call    MoveBall                ; Mueve la bola
ld      a, ZERO                 ; Pone el contador a 0
ld      (countLoopBall), a      ; Lo carga en memoria

loop_paddle:
ld      a, (countLoopPaddle)    ; Carga el contador de vueltas de las palas
inc     a                       ; Lo incrementa
ld      (countLoopPaddle), a    ; Lo carga en memoria
cp      $02                     ; Comprueba si ha llegado a 2
jr      nz, loop_continue       ; Si no ha llegado a 2 salta
call    ScanKeys                ; Escanea las teclas pulsadas
call    MovePaddle              ; Mueva las palas
ld      a, ZERO                 ; Pone el contador a 0
ld      (countLoopPaddle), a    ; Lo carga en memoria

loop_continue:
call    CheckBallCross          ; Evalúa si hay colisión entre la bola y las palas
call    PrintBall               ; Pinta la bola
call    ReprintLine             ; Repinta la línea
call    ReprintPoints		; Repinta el marcardor
ld      hl, (paddle1pos)        ; Carga en HL la posición de la pala 1
call    PrintPaddle             ; Pinta la pala 1
ld      hl, (paddle2pos)        ; Carga en HL la posición de la pala 2
call    PrintPaddle             ; Pinta la pala 2
ld      a, (p1points)		; Carga la puntuación del juagdor 1 en A
cp      $0f			; Comprueba si ha llegado a 15
jr      z, Main			; Si ha llegado a 15, fin de la partida
ld      a, (p2points)		; Carga la puntuación del juagdor 2 en A
cp      $0f			; Comprueba si ha llegado a 15
jr      z, Main			; Si ha llegado a 15, fin de la partida
jr      Loop                    ; Bucle infinito

include "Game.asm"
include "Controls.asm"
include "Sprite.asm"
include "Video.asm"

countLoopBall:      db $00      ; Contador de vueltas de la bola
countLoopPaddle:    db $00      ; Contador de vueltas de las palas
p1points:			db $00		; Puntos del jugador 1
p2points:			db $00		; Puntos del jugador 2

end     $8000