FILL:		EQU $ff
LINE:   	EQU $80
ZERO:   	EQU $00

; Limites de los objetos en pantalla
BALL_BOTTOM:    EQU $b8	; TTLLLSSS
BALL_TOP:       EQU $02	; TTLLLSSS
CROSS_LEFT:     EQU $01	; 000CCCCC
CROSS_RIGHT:    EQU $1d	; 000CCCCC
MARGIN_LEFT:    EQU $00	; 000CCCCC
MARGIN_RIGHT:   EQU $1e ; 000CCCCC

; Sprite de la bola. 1 líneas a 0, 4 líneas 3c, 1 líneas a 0
ballRight:          ; Derecha       Sprite          Izquierda
db      $3c, $00    ; +0/$00    00111100 00000000   -8/$f8
db      $1e, $00    ; +1/$01    00011110 00000000   -7/$f9
db      $0f, $00    ; +2/$02    00001111 00000000   -6/$fa
db      $07, $80    ; +3/$03    00000111 10000000   -5/$fb
db      $03, $c0    ; +4/$04    00000011 11000000   -4/$fc
db      $01, $e0    ; +5/$05    00000001 11100000   -3/$fd
db      $00, $f0    ; +6/$06    00000000 11110000   -2/$fe
db      $00, $78    ; +7/$07    00000000 01111000   -1/$ff
ballLeft:
db      $00, $3c    ; +8/$08    00000000 00111100   +0/$00

; Posición de la bola
ballPos:    dw $4870    ; 010T TSSS LLLC CCCC

; Velocidad y dirección de la bola.
; bits 0 a 3:   velocidad X: 1 a 4
; bits 4 a 5:   velocidad Y: 0 a 3
; bit 6:        dirección X: 0 derecha / 1 izquierda
; bit 7:    dirección Y: 0 arriba / 1 abajo
ballSetting:    db $20
; Rotación de la bola
; Valores positivos derecha, negativos izquierda
ballRotation:   db $f8

PADDLE:			EQU $3c		; Sprite de la bola
PADDLE_BOTTOM:  EQU $a6     ; TTLLLSSS
PADDLE_TOP:     EQU $02     ; TTLLLSSS
paddle1pos:     dw  $4861   ; 010T TSSS LLLC CCCC
paddle2pos:     dw  $487e   ; 010T TSSS LLLC CCCC

; Posiciones dónde se pintan los marcadores
POINTS_P1:  EQU $450d	; Marcador del jugador 1
POINTS_P2:  EQU $4511	; Marcador del jugador 2

; Sprites de los números
Blanco_sprite:
ds $10

Cero_sprite:
db $00, $7e, $7e, $66, $66, $66, $66, $66
db $66, $66, $66, $66, $66, $7e, $7e, $00

Uno_sprite:
db $00, $18, $18, $18, $18, $18, $18, $18
db $18, $18, $18, $18, $18, $18, $18, $00

Dos_sprite:
db $00, $7e, $7e, $06, $06, $06, $06, $7e
db $7e, $60, $60, $60, $60, $7e, $7e, $00

Tres_sprite:
db $00, $7e, $7e, $06, $06, $06, $06, $3e
db $3e, $06, $06, $06, $06, $7e, $7e, $00

Cuatro_sprite:
db $00, $66, $66, $66, $66, $66, $66, $7e
db $7e, $06, $06, $06, $06, $06, $06, $00

Cinco_sprite:
db $00, $7e, $7e, $60, $60, $60, $60, $7e
db $7e, $06, $06, $06, $06, $7e, $7e, $00

Seis_sprite:
db $00, $7e, $7e, $60, $60, $60, $60, $7e
db $7e, $66, $66, $66, $66, $7e, $7e, $00

Siete_sprite:
db $00, $7e, $7e, $06, $06, $06, $06, $06
db $06, $06, $06, $06, $06, $06, $06, $00

Ocho_sprite:
db $00, $7e, $7e, $66, $66, $66, $66, $7e
db $7e, $66, $66, $66, $66, $7e, $7e, $00

Nueve_sprite:
db $00, $7e, $7e, $66, $66, $66, $66, $7e
db $7e, $06, $06, $06, $06, $7e, $7e, $00

; Composición de los números
Cero:
dw      Blanco_sprite, Cero_sprite

Uno:
dw      Blanco_sprite, Uno_sprite

Dos:
dw      Blanco_sprite, Dos_sprite

Tres:
dw      Blanco_sprite, Tres_sprite

Cuatro:
dw      Blanco_sprite, Cuatro_sprite

Cinco:
dw      Blanco_sprite, Cinco_sprite

Seis:
dw      Blanco_sprite, Seis_sprite

Siete:
dw      Blanco_sprite, Siete_sprite

Ocho:
dw      Blanco_sprite, Ocho_sprite

Nueve:
dw      Blanco_sprite, Nueve_sprite

Diez:
dw      Uno_sprite, Cero_sprite

Once:
dw      Uno_sprite, Uno_sprite

Doce:
dw      Uno_sprite, Dos_sprite

Trece:
dw      Uno_sprite, Tres_sprite

Catorce:
dw      Uno_sprite, Cuatro_sprite

Quince:
dw      Uno_sprite, Cinco_sprite